#
#  Makefile for POSIX regex library code
#
#  Makefile.in,v 1.3 1995/08/21 20:26:40 duane Exp
#
prefix = @prefix@
INSTALL_BINDIR	= $(prefix)/bin
INSTALL_LIBDIR	= $(prefix)/lib
INSTALL_MANDIR 	= $(prefix)/man

CC		= @CC@
INSTALL		= @INSTALL@
INSTALL_BIN 	= @INSTALL_PROGRAM@
INSTALL_FILE 	= @INSTALL_DATA@
RANLIB		= @RANLIB@

DEBUG		= $(DEBUG_TOP) #-O #-g #-DDEBUG
CFLAGS		= $(DEBUG) -I../include
LIBDIR		= ../lib
LIBFILE		= libregex.a

all:	install-lib

$(LIBFILE):	GNUregex.o
	ar r $(LIBFILE) GNUregex.o
	$(RANLIB) $(LIBFILE)

install-lib:	$(LIBDIR)/$(LIBFILE)

$(LIBDIR)/$(LIBFILE):	$(LIBFILE)
	$(INSTALL_FILE) $(LIBFILE) $(LIBDIR)/$(LIBFILE)
	$(RANLIB) $(LIBDIR)/$(LIBFILE)

clean:
	-rm -f core *.o $(LIBFILE) tags

realclean:	clean
	-rm -f Makefile

install:	all

shar:
	@shar README Makefile GNUregex.c
